Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: DB Manager

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26242

Description

On QGIS Master 3.1, after I run a simple query such as `select * from my_table`, the result panel stays empty.

The query works well in QGIS 3.0 and in PgAdmin. But in 3.1, I can guess that the query is running because the panel is disabled while

the query is running in the background. But then, the window is reactivated again but the result is not displayed.

It might be related to the display with MacOS?

Associated revisions

Revision 6bdee5b7 - 2018-03-07 03:24 AM - Paul Blottiere

[dbmanager] Fixes empty table

Fixes #18352

History

#1 - 2018-03-06 01:32 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-03-06 08:45 PM - Keith Jenkins

I don't think it is related to MacOS, since I'm seeing the same problem with QGIS 3.1.0-Master (5b8599e9bb) on Windows.

It works when I run a query via Virtual Layers, but not with PostGIS directly, in which case I see a "Task Complete" notification, but no results.

The following Python error is logged:

WARNING

Traceback (most recent call last):

  File "C:/PROGRA~1/QGIS2~1.18/apps/qgis-dev/./python/plugins\db_manager\dlg_sql_window.py", line 233, in executeSqlCompleted

  if self.modelAsync.task.status() == QgsTask.Complete:

AttributeError: 'NoneType' object has no attribute 'status'

#3 - 2018-03-07 08:46 AM - Regis Haubourg

- Pull Request or Patch supplied changed from No to Yes

- Assignee set to Paul Blottiere

2025-12-15 1/2



PR here [[https://github.com/qgis/QGIS/pull/6553]]

#4 - 2018-03-09 01:10 AM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|6bdee5b79e667812fe0e7848da3be999cd197f82.

#5 - 2018-03-09 11:46 AM - Giovanni Manghi

- Resolution set to fixed/implemented
